<?php
  /**
   * Gestion des paramtres du module,
   *
   * Affichage du formulaire de visualisation/modification
   *
   // -------------------------------------------------------------------------//
   * written by: jmsixt<br />
   * Author site: {@link http://jmsixt.free.fr/cms} <br />
   * More information at {@link http://modules.npds.org}<br />
   * Support site: {@link http://trac2.assembla.com/npds_meteochannel/wiki}
   *
   // -------------------------------------------------------------------------//
   * Reference: meteo_channel {@link http://www.meteo_channel.fr} <br />
   *
   // -------------------------------------------------------------------------//
   * This program is free software. you can redistribute it and/or modify <br />
   * it under the terms of the GNU General Public License as published by <br />
   * the Free Software Foundation; either version 2 of the License. <br />
   * @copyright Copyright (c) 2008, Sixt Jean Marc <br />
   *
   // -------------------------------------------------------------------------//
   * @package meteo_channel
   * @subpackage administration
   * @author Sixt Jean-Marc from Lyon (2008)
   */
  
  // For More security
  if (!eregi("admin.php", $PHP_SELF)) {
      die();
  }
  if (strstr($ModPath, "..") || strstr($ModStart, "..") || stristr($ModPath, "script") || stristr($ModPath, "cookie") || stristr($ModPath, "iframe") || stristr($ModPath, "applet") || stristr($ModPath, "object") || stristr($ModPath, "meta") || stristr($ModStart, "script") || stristr($ModStart, "cookie") || stristr($ModStart, "iframe") || stristr($ModStart, "applet") || stristr($ModStart, "object") || stristr($ModStart, "meta")) {
      die();
  }
  /**
   Variables globales positionnes par modules.php
   */
  /**
   * L'utilisateur actuel
   * @global mixed $user
   */
  global $user;
  /**
   * La langue utilise par l'utilisateur
   * @global string $language
   */
  global $language;
  /**
   * Le cookie prcisant si l'utilisateur est logg
   * @global mixed $admin
   */
  global $admin;
  
  include("modules/" . $ModPath . "/meteo_channel_conf.php");
  include_once("modules/$ModPath/admin/lang/$language.php");
  include_once("modules/$ModPath/lang/$language.php");
  include_once("modules/$ModPath/fcts.php");
  
  if ($admin) {
      // Definition du formulaire de modifications des paramtres
      //---------------------------------------------------------
      echo "<SCRIPT language=\"JavaScript1.2\" src=\"modules/$ModPath/js/main.js\" type=\"text/javascript\"></SCRIPT>";
      echo "<link rel=\"stylesheet\" href=\"modules/$ModPath/style/dhtmlwindow.css\" type=\"text/css\" />";
      
      echo "<script type=\"text/javascript\" src=\"modules/$ModPath/js/dhtmlwindow.js\">";
      echo "/*********************************************** ";
      echo "* DHTML Window Widget-  Dynamic Drive (www.dynamicdrive.com)";
      echo "* This notice must stay intact for legal use.";
      echo "* Visit http://www.dynamicdrive.com/ for full source code";
      echo "***********************************************/";
      echo "</script>";
      
      // Dfinition des constantes"
      
      // Traitement en fonction du code opration
      switch ($oper) {
          // affichage rsultat de recherche      
          case "query":
              echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"6\" class=\"LIGNB\"><tr><td class=\"header\">" . adm_meteo_channel_trad("D&eacute;termination du code de la ville") . "</td></tr></table><br /><br />";
              
              $url = "http://xoap.weather.com/search/search?where=" . $meteochannel_townText_change;
              
              // Extraction primaire
              $xmltab = lit_xmlsearch($url);
              
              echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"6\">";
              
              $j = sizeof($xmltab);
              if ($j > 0) {
                  // Affichage liste des choix possibles
                  echo "<tr><td colspan=\"2\"><b>" . adm_meteo_channel_trad("Cliquez sur le bouton choisir et mettre &agrave; jour le param&eacute;trage") . "</b><br /><br /></td><tr/>";
                  echo "<tr><td>" . adm_meteo_channel_trad("code de la ville") . "</td><td>" . adm_meteo_channel_trad("description ville") . "</td><td>Action</td></tr>";
                  $class = " class=\"LIGNA\"";
                  for ($i = 1; $i <= $j; $i++) {
                      $rowcolor = tablos();
                      echo "<form method=\"post\" action=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/adm_save\"><tr " . $rowcolor . ">";
                      echo "<td>" . $xmltab[$i][0] . "</td><td>" . $xmltab[$i][1] . "</td>";
                      echo "<td><input class=\"INPUTA\" name=\"meteochannel_towncode_change\" type=\"hidden\" value=\"" . $xmltab[$i][0] . "\" /><input name=\"meteochannel_townText_change\" type=\"hidden\" value=\"" . $xmltab[$i][1] . "\" /><input name=\"Submit\" type=\"submit\" value=\"" . adm_meteo_channel_trad("Choisir") . "\" /></td></tr>";
                      echo "</form>";
                  }
              } else {
                  echo "<td><b>$meteochannel_townText_change </b>:" . adm_meteo_channel_trad("La ville recherch&eacute;e n'existe pas dans le r&eacute;f&eacute;rentiel WeatherChannel") . "</td></tr>";
              }
              echo "</table>";
              break;
              
              // affichage formulaire de recherche      
          case "gettown":
              echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"6\" class=\"LIGNB\"><tr><td class=\"header\">D&eacute;termination du code de la ville</td></tr></table><br /><br />";
              if (autorisation(-127)) {
                  // onrestreint l'accs aux administrateurs
                  echo "<form method=\"post\" action=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/adm&oper=query\">" . "<table width=\"100%\" border=\"0\" align=\"center\">" . "<tr>" . "  <td width=\"100%\">" . "    <table width=\"100%\" border=\"0\">" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Nom de la ville") . "</td>" . "        <td><input class=\"INPUTA\" type=\"text\" name=\"meteochannel_townText_change\"  value=\"$meteochannel_townText\"   maxlength=\"80\" size=\"60\" /></td>" . "        <td>" . adm_meteo_channel_trad("Saisissez le nom de la ville &agrave; rechercher") . "</td>" . "      </tr>" . "      <tr><td colspan=\"3\" align=\"center\"><input name=\"Submit\" type=\"submit\" value=\"Valider\" /></td></tr></table>" . "</table></form>";
                  echo "<hr />";
              }
              break;
              
              
          default:
              // Definition du formulaire de modifications des paramtres
              //---------------------------------------------------------
              echo "<fieldset><form method=\"post\" action=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/adm_save\">" . "<table width=\"100%\" border=\"0\" align=\"center\">" . "<tr>" . "  <td width=\"100%\">" . "    <table width=\"100%\" border=\"0\">" . "      <tr>" . "        <td colspan=\"3\" class=\"header\">" . "          <p align=\"center\">" . adm_meteo_channel_trad("Pr&eacute;ferences bloc meteo_channel") . "</p>" . "        </td>" . "      </tr>" . "      <tr><td colspan=\"3\">&nbsp;</td></tr>" . "      <tr><td colspan=\"3\">" . adm_meteo_channel_trad("Pour changer les caract&eacute;ristiques du bloc lui m&ecirc;me (titre, position, aide) utilisez le") . " <a href=\"admin.php?op=blocks\">" . adm_meteo_channel_trad("menu d'administation des blocs") . "</a></td></tr>" . "      <tr><td colspan=\"3\">&nbsp;</td></tr>" . "      <tr><td colspan=\"3\"><b>" . adm_meteo_channel_trad("Informations relatives &agrave; \"the weather channel\"") . "</b></td></tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Personnalisation dynamique par l'utilisateur") . "</td>" . "        <td><input class=\"INPUTA\" name=\"meteo_channel_perso\"  value=\"yes\" type=\"radio\"";
              if ($meteo_channel_perso == "yes") {
                  echo " \"checked\" ";
              }
              echo " />" . adm_translate("Oui") . " &nbsp; <input class=\"INPUTA\" name=\"meteo_channel_perso\" value=\"no\" type=\"radio\"";
              if ($meteo_channel_perso == "no") {
                  echo " \"checked\" ";
              }
              echo " />" . adm_translate("Non") . "</td>" . "        <td>" . adm_meteo_channel_trad("Permettre aux utilisateurs anonymes de changer les informations du bloc m&eacute;t&eacute;o: ville, nombre de jours, ...<br />Les changements s'appliquent &agrave; tout le monde") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Prise en compte dans les profils utilisateur") . "</td>" . "        <td><input class=\"INPUTA\" name=\"meteo_channel_userprofile\"  value=\"yes\" type=\"radio\"";
              if ($meteo_channel_userprofile == "yes") {
                  echo " \"checked\" ";
              }
              echo "type=\"radio\" />" . adm_translate("Oui") . " &nbsp; <input class=\"INPUTA\" name=\"meteo_channel_userprofile\" value=\"no\" type=\"radio\"";
              if ($meteo_channel_userprofile == "no") {
                  echo " \"checked\" ";
              }
              echo ">" . adm_translate("Non") . "</td>" . "        <td>" . adm_meteo_channel_trad("Permettre aux utilisateurs enregistr&eacute;s d'enregistrer leur pr&eacute;f&eacute;rences m&eacute;t&eacute;o dans NPDS<br />Leur choix sont sauvegard&eacute;s") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Texte d'introduction") . "</td>" . "        <td><input class=\"INPUTA\" type=\"text\" name=\"meteo_channel_intro\"  value=\"$meteo_channel_intro\"   maxlength=\"80\" size=\"60\" /></td>" . "        <td>" . adm_meteo_channel_trad("Le texte d'introduction est affich&eacute; uniquement dans le bloc central") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Utilisation du th&egrave;me dans les popups") . "</td>" . "        <td><input class=\"INPUTA\" name=\"meteo_channel_popuptheme\"  value=\"yes\" type=\"radio\"";
              if ($meteo_channel_popuptheme == "yes") {
                  echo " \"checked\" ";
              }
              echo "type=\"radio\" />" . adm_translate("Oui") . " &nbsp; <input class=\"INPUTA\" name=\"meteo_channel_popuptheme\" value=\"no\" type=\"radio\"";
              if ($meteo_channel_popuptheme == "no") {
                  echo " \"checked\" ";
              }
              echo ">" . adm_translate("Non") . "</td>" . "        <td>" . adm_meteo_channel_trad("Utiliser un bloc theme pour afficher les popup, suivant le th&egrave;me utilis&eacute; il faut d&eacute;cocher ou pas cette case") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">Logo</td>" . "        <td><input class=\"INPUTA\" name=\"meteo_imgweather\"  value=\"yes\" type=\"radio\"";
              if ($meteo_imgweather == "yes") {
                  echo " \"checked\" ";
              }
              echo " />" . adm_translate("Oui") . " &nbsp; <input class=\"INPUTA\" name=\"meteo_imgweather\" value=\"no\" type=\"radio\"";
              if ($meteo_imgweather == "no") {
                  echo " \"checked\" ";
              }
              echo " />" . adm_translate("Non") . "</td>" . "        <td>" . adm_meteo_channel_trad("Affichage logo Weather Channel") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">Tooltip</td>" . "        <td><input class=\"INPUTA\" name=\"meteo_channel_tooltip\"  value=\"yes\" type=\"radio\"";
              if ($meteo_channel_tooltip == "yes") {
                  echo " \"checked\" ";
              }
              echo " />" . adm_translate("Oui") . " &nbsp; <input class=\"INPUTA\" name=\"meteo_channel_tooltip\" value=\"no\" type=\"radio\"";
              if ($meteo_channel_tooltip == "no") {
                  echo " \"checked\" ";
              }
              echo " />" . adm_translate("Non") . "</td>" . "        <td>" . adm_meteo_channel_trad("Affichage tootips d'aide") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Compte partner") . "</td>" . "        <td><input class=\"INPUTA\" type=\"text\" name=\"meteo_channel_partner\"  value=\"$meteo_channel_partner\"   maxlength=\"20\" size=\"25\" /> </td>" . "        <td>" . adm_meteo_channel_trad("Le service 'WeatherChannel.com' est gratuit mais requiert un") . " <a href=\"http://www.weather.com/services/xmloap.html\" target=\"_blank\">" . adm_meteo_channel_trad("enregistrement") . "</a><br /> " . adm_meteo_channel_trad("code partner de") . " \"the weather channel\"</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Licence utilisateur") . "</td>" . "        <td><input class=\"INPUTA\" type=\"text\" name=\"meteo_channel_licence\"  value=\"$meteo_channel_licence\"   maxlength=\"20\" size=\"25\" /> </td>" . "        <td>" . adm_meteo_channel_trad("licence de") . " \"the weather channel\"</td>" . "      </tr>" . "      <tr><td colspan=\"3\">&nbsp;</td></tr>" . "      <tr><td colspan=\"3\"><b>" . adm_meteo_channel_trad("Informations relatives &agrave; la ville choisie pour les pr&eacute;visions") . "</b></td></tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Code ville") . "</td>" . "        <td><input class=\"INPUTA\" type=\"text\" name=\"meteochannel_towncode\"  value=\"$meteochannel_towncode\"   maxlength=\"10\" size=\"10\" />  <a href=\"" . $_SERVER['REQUEST_URI'] . "&oper=gettown\"><img src=\"modules/$ModPath/images/aide.gif\" alt=\"help\" border=\"0\" /></a></td>" . "        <td>" . adm_meteo_channel_trad("Code de la ville du type FRXX0099 (par exemple FRXX0055 pour Lyon") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Nb jours de pr&eacute;vision") . "</td>" . "        <td><input class=\"INPUTA\" type=\"text\" name=\"meteochannel_nbjours\"  value=\"$meteochannel_nbjours\"   maxlength=\"2\" size=\"1\" /> </td>" . "        <td>" . adm_meteo_channel_trad("Le nombre de jours de pr&eacute;vision &agrave; afficher (10j max !)") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Libell&eacute; de la ville") . "</td>" . "        <td><input class=\"INPUTA\" type=\"text\" name=\"meteochannel_townText\"  value=\"$meteochannel_townText\"   maxlength=\"40\" size=\"40\" /> </td>" . "        <td>" . adm_meteo_channel_trad("Le libell&eacute; de la ville &agrave; afficher dans le bloc") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Couleur principale") . "</td>" . "        <td><input class=\"INPUTA\" type=\"text\" name=\"meteochannel_maincolor\"  value=\"$meteochannel_maincolor\"   maxlength=\"6\" size=\"8\" /> </td>" . "        <td>" . adm_meteo_channel_trad("Couleur des cadres autout des jours") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Couleur libell&eacute; ville") . "</td>" . "        <td><input class=\"INPUTA\" type=\"text\" name=\"meteochannel_towncolor\"  value=\"$meteochannel_towncolor\"   maxlength=\"6\" size=\"8\" /> </td>" . "        <td>" . adm_meteo_channel_trad("Couleur du texte de la ville") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Couleur arriere plan") . "</td>" . "        <td><input class=\"INPUTA\" type=\"text\" name=\"meteochannel_backcolor\"  value=\"$meteochannel_backcolor\"   maxlength=\"6\" size=\"8\" /> </td>" . "        <td>" . adm_meteo_channel_trad("Couleur arriere plan de chaque jour") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Couleur titre") . "</td>" . "        <td><input class=\"INPUTA\" type=\"text\" name=\"meteochannel_titlecolor\"  value=\"$meteochannel_titlecolor\"   maxlength=\"6\" size=\"8\" /> </td>" . "        <td>" . adm_meteo_channel_trad("Couleur arriere de la ville") . "</td>" . "      </tr>" . "      <tr>" . "        <td class=\"ligna\">" . adm_meteo_channel_trad("Couleur sous titre") . "</td>" . "        <td><input class=\"INPUTA\" type=\"text\" name=\"meteochannel_subtitlecolor\"  value=\"$meteochannel_subtitlecolor\"   maxlength=\"6\" size=\"8\" /> </td>" . "        <td>" . adm_meteo_channel_trad("Couleur texte du libell&eacute; du jour") . "</td>" . "      </tr>" . "      <tr><td colspan=\"3\">&nbsp;</td></tr>" . "      <tr><td colspan=\"3\" align=\"center\"><input name=\"Submit\" type=\"submit\" value=\"Ok\" /></td></tr>" . "</table></td></tr></table>" . "</fieldset></form>";
              echo "<hr /><ul><li><b><a href=\"http://www.weather.com/services/xmloap.html\">" . adm_meteo_channel_trad("Pour r&eacute;cup&eacute;rer vos informations de") . " \"weather.com\"</a></b></li><br />";
              echo "<li><a href=\"modules.php?ModPath=$ModPath&ModStart=meteo_channel&op=centerBloc\"> " . adm_meteo_channel_trad("Pour tester les param&egrave;tres") . "</a> " . adm_meteo_channel_trad("et afficher un bloc central") . "</li></ul><br /><hr>";
              
              break;
      }
  }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
  <head>
    <meta name="generator" content=
    "HTML Tidy for Windows (vers 14 February 2006), see www.w3.org">
    <title></title>
  </head>
  <body>
  </body>
</html>