<?php
  /**
   * Sauvegarde des paramtres du module (module d'administration),
   *
   * Traitement du formulaire de mise  jour des paramtres du module<br />
   * Les paramtres sont sauvegards dans le fichier meteo_channel_conf.php  la racine du module <br />
   * Les variables globales utilises sont les mmes que celles de adm.php (suivre le lien "see" plus avant)
   *
   // -------------------------------------------------------------------------//
   * written by: jmsixt<br />
   * Author site: {@link http://jmsixt.free.fr/cms} <br />
   * More information at {@link http://modules.npds.org}<br />
   * Support site: {@link http://trac2.assembla.com/npds_meteochannel/wiki}
   *
   // -------------------------------------------------------------------------//
   * Reference: meteo_channel {@link http://www.meteo_channel.fr} <br />
   *
   // -------------------------------------------------------------------------//
   * This program is free software. you can redistribute it and/or modify <br />
   * it under the terms of the GNU General Public License as published by <br />
   * the Free Software Foundation; either version 2 of the License. <br />
   * @copyright Copyright (c) 2008, Sixt Jean Marc <br />
   *
   // -------------------------------------------------------------------------//
   * @package meteo_channel
   * @subpackage administration
   * @author Sixt Jean-Marc from Lyon (2008)
   * @see adm.php
   
   */
  
  // For More security
  if (!eregi("admin.php", $PHP_SELF)) {
      die();
  }
  if (strstr($ModPath, "..") || strstr($ModStart, "..") || stristr($ModPath, "script") || stristr($ModPath, "cookie") || stristr($ModPath, "iframe") || stristr($ModPath, "applet") || stristr($ModPath, "object") || stristr($ModPath, "meta") || stristr($ModStart, "script") || stristr($ModStart, "cookie") || stristr($ModStart, "iframe") || stristr($ModStart, "applet") || stristr($ModStart, "object") || stristr($ModStart, "meta")) {
      die();
  }
  /**
   * Variables globales positionnes par modules.php
   */
  /**
   * L'utilisateur actuel
   * @global mixed $user
   */
  global $user;
  /**
   * La langue utilise par l'utilisateur
   * @global string $language
   */
  global $language;
  /**
   * Le cookie prcisant si l'utilisateur est logg
   * @global mixed $admin
   */
  global $admin;
  
  include_once("modules/$ModPath/admin/lang/$language.php");
  include_once("modules/$ModPath/lang/$language.php");
  
  if ($meteochannel_towncode_change <> "") {
      include("modules/$ModPath/meteo_channel_conf.php");
      $meteochannel_towncode = $meteochannel_towncode_change;
      $meteochannel_townText = $meteochannel_townText_change;
  }
  
  $file = fopen("modules/" . $ModPath . "/meteo_channel_conf.php", "w");
  $line = "######################################################################\n";
  $content = "<?PHP\n";
  $content .= "$line";
  $content .= "# NPDS V : Net Portal Dynamic System\n";
  $content .= "#          Based on PHP-NUKE Web Portal System\n";
  $content .= "# ===================================================\n";
  $content .= "#\n";
  $content .= "# Original Copyright (c) 2001 by Francisco Burzi (fburzi@ncc.org.ve)\n";
  $content .= "# http://phpnuke.org\n";
  $content .= "#\n";
  $content .= "# This version name NPDS Copyright (c) 2001-2005 by Philippe Brunier\n";
  $content .= "#\n";
  $content .= "# This meteo_channel is to configure the main options for your site\n";
  $content .= "#\n";
  $content .= "# This program is free software. You can redistribute it and/or modify\n";
  $content .= "# it under the terms of the GNU General Public License as published by\n";
  $content .= "# the Free Software Foundation; either version 2 of the License.\n";
  $content .= "$line";
  $content .= "\n";
  $content .= "$line";
  $content .= "# ========================\n";
  $content .= "# meteo_channel Config\n";
  $content .= "# ========================\n";
  $content .= "\$meteo_channel_perso = \"$meteo_channel_perso\" ;\n";
  $content .= "\$meteo_channel_userprofile = \"$meteo_channel_userprofile\" ;\n";
  $content .= "\$meteo_channel_intro = \"$meteo_channel_intro\" ;\n";
  $content .= "\$meteo_channel_popuptheme = \"$meteo_channel_popuptheme\" ;\n";
  $content .= "\$meteo_imgweather = \"$meteo_imgweather\" ;\n";
  $content .= "\$meteo_channel_tooltip = \"$meteo_channel_tooltip\" ;\n";
  $content .= "\$meteo_channel_partner = \"$meteo_channel_partner\" ;\n";
  $content .= "\$meteo_channel_licence = \"$meteo_channel_licence\" ;\n";
  $content .= "\$meteochannel_towncode = \"$meteochannel_towncode\" ;\n";
  $content .= "\$meteochannel_nbjours = \"$meteochannel_nbjours\" ;\n";
  $content .= "\$meteochannel_townText = \"$meteochannel_townText\" ;\n";
  $content .= "\$meteochannel_maincolor = \"$meteochannel_maincolor\" ;\n";
  $content .= "\$meteochannel_towncolor = \"$meteochannel_towncolor\" ;\n";
  $content .= "\$meteochannel_backcolor = \"$meteochannel_backcolor\" ;\n";
  $content .= "\$meteochannel_titlecolor = \"$meteochannel_titlecolor\" ;\n";
  $content .= "\$meteochannel_subtitlecolor = \"$meteochannel_subtitlecolor\" ;\n";
  
  $content .= "?>";
  fwrite($file, $content);
  fclose($file);
  
  echo "<br /><br /><div align=\"center\">" . adm_meteo_channel_trad("Mise &agrave; jour effectu&eacute;e") . "<br />";
  echo "<br /><a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/adm\">" . adm_meteo_channel_trad("Retour &agrave; l'administration de meteo_channel") . "</a></div>";
?>