<?php
  /**
   * affichage d'un bloc du module meteo_channel,
   *
   * Prise en compte: <br />
   * - affichage du bloc principal
   * - affichage du bloc de recherche de la meteo pour une ville donne
   *
   // -------------------------------------------------------------------------//
   * written by: jmsixt<br />
   * Author site: {@link http://jmsixt.free.fr/cms} <br />
   * More information at {@link http://modules.npds.org}<br />
   * Support site: {@link http://trac2.assembla.com/npds_meteochannel/wiki}
   *
   // -------------------------------------------------------------------------//
   * Reference: meteo_channel {@link http://www.meteo_channel.fr} <br />
   *
   // -------------------------------------------------------------------------//
   * This program is free software. you can redistribute it and/or modify <br />
   * it under the terms of the GNU General Public License as published by <br />
   * the Free Software Foundation; either version 2 of the License. <br />
   * @copyright Copyright (c) 2008, Sixt Jean Marc <br />
   *
   // -------------------------------------------------------------------------//
   * @package meteo_channel
   * @subpackage main
   * @author Sixt Jean-Marc from Lyon (2008)
   * @version 1.9
   */
   /**
   * Variables globales utilises par modules.php
   */
  /**
   * Le thme par dfaut utilis dans NPDS
   * @global mixed $Default_Theme
   */
  global $Default_Theme;
  /**
   * La langue utilise par l'utilisateur
   * @global string $language
   */
  global $language;
  /**
   * Le cache global des blocs
   * @global mixed $cache
   */
  global  $cache;
  /**
   * La langue de rcupration des informations de weather channel
   * @global mixed $lang_meteo_channel
   */ 
  global $lang_meteo_channel; 
  /**
   * Le rpertoire principal du module (dtermin automatiquement)
   * @global mixed $modulerep
   */
  global $modulerep;  
  /**
   * Le titre positionn automatiquement la main
   * @global mixed $titrebloc
   */
  global $titrebloc;   
  
	// For More security
	if (!function_exists("Mysql_Connection")) {
		//die();
	}
	
	// Dtermination du nom du module
	$fileinfo = explode(DIRECTORY_SEPARATOR, __FILE__);
	$curfile = end($fileinfo);
	$modulerep = prev($fileinfo);

	// Retro compatibilit SABLE	
	if (!function_exists("sql_connect")) {
	  include("modules/$modulerep/retro-compat/mysql.php");
	}
	// Retro compatibilit SABLE
	
	include_once("lib/togglediv.class.php");
	include_once("modules/$modulerep/lang/$language.php");
	include_once("modules/$modulerep/fcts.php");
	
	/**
	* langue utilis pour les liens meteo_channel
	*/
	$lang_meteo_channel = meteo_channel_trad($language);
	
	$titrebloc = $title;
	
	echo tooltiplayer($modulerep);

	// ==========================================================================================================================================================
	/**
	* Gnration du bloc mto
	*
	* gnration du code html pour le bloc mto<br />
	* principe: utilisation de la fonction meteo_channel pour gnrer le contenu proprement dit et de themesidebox pour le bloc avec le bon theme graphique
	*
	* @global string titre du bloc
	* @global string path complet de la racine du module
	* @return string code html pour dclencher l'affichage du tootip
	*/  
	function showBlocMeteo()
	{
		global $titrebloc, $modulerep;
		$content = "";
		$content .= meteo_channel("");
		if (autorisation(-127)) {
		$content .= "<center><a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$modulerep&ModStart=admin/adm\">Administration meteo_channel</a></center>";
		}
		themesidebox($titrebloc, $content);
	}