<?php
  /**
  * Traduction des libells du module d'administration,
  *
  * La fonction est spcifique pour chacune des langues. Elle est localise dans le fichier de la langue concerne
  *
  // -------------------------------------------------------------------------//
  * written by: jmsixt<br />
  * Author site: {@link http://jmsixt.free.fr/cms} <br />
  * More information at {@link http://modules.npds.org}<br />
  * Support site: {@link http://trac2.assembla.com/npds_meteochannel/wiki}
  * 
  // -------------------------------------------------------------------------//
  * Reference: meteo_channel {@link http://www.meteo_channel.fr} <br />
  // -------------------------------------------------------------------------//
  * This program is free software. you can redistribute it and/or modify <br />
  * it under the terms of the GNU General Public License as published by <br />
  * the Free Software Foundation; either version 2 of the License. <br />
  * @copyright Copyright (c) 2008, Sixt Jean Marc <br />
  * 
  // -------------------------------------------------------------------------//
  * @package meteo_channel
  * @subpackage administration
  * @author Sixt Jean-Marc from Lyon (2008)
  */
  
  /**
  * Traduction d'un libell d'administration
  *
  * @param string $phrase libell franais  traduire
  * @return string libell traduit dans la langue courante de l'utilisateur
  */  
  function adm_meteo_channel_trad($phrase)
  {
      switch ($phrase) {
          // page adm.php
          case "Pr&eacute;ferences bloc meteo_channel":
              $tmp = "meteo_channel block preferences";
              break;
          case "Pour changer les caract&eacute;ristiques du bloc lui m&ecirc;me (titre, position, aide) utilisez le":
              $tmp = "To change the characteric of the block (title, position, help) use ";
              break;
          case "menu d'administation des blocs":
              $tmp = "administration menu for blocks";
              break;
              
          case "D&eacute;termination du code de la ville":
              $tmp = "Town selection";
              break;
          case "Cliquez sur le bouton choisir et mettre &agrave; jour le param&eacute;trage":
              $tmp = "Click on selet button to choose the right town";
              break;
          case "code de la ville":
              $tmp = "Town code";
              break;
          case "description ville":
              $tmp = "Town description";
              break;
          case "Choisir":
              $tmp = "Select";
              break;
          case "Informations relatives &agrave; \"the weather channel\"":
              $tmp = "The Weather Channel informations";
              break;
          case "Personnalisation dynamique par l'utilisateur":
              $tmp = "Dynamic configuration for anonymous users";
              break;
          case "Permettre aux utilisateurs anonymes de changer les informations du bloc m&eacute;t&eacute;o: ville, nombre de jours, ...<br />Les changements s'appliquent &agrave; tout le monde":
              $tmp = "Allow anonymous to change weather informations<br />Changes apply to everyone: town, number of days, ...";
              break;
          case "Prise en compte dans les profils utilisateur":
              $tmp = "Taken in account in user profile";
              break;
          case "Permettre aux utilisateurs enregistr&eacute;s d'enregistrer leur pr&eacute;f&eacute;rences m&eacute;t&eacute;o dans NPDS<br />Leur choix sont sauvegard&eacute;s":
              $tmp = "Allow registered users to save their weather preferences";
              break;
          case "Texte d'introduction":
              $tmp = "Introduction information";
              break;
          case "Le texte d'introduction est affich&eacute; uniquement dans le bloc central":
              $tmp = "Introduction text is only displayed in central bloc";
              break;
          case "Affichage tootips d'aide":
              $tmp = "Display help tooltips";
              break;
          case "Compte partner":
              $tmp = "Partner code";
              break;
          case "Le service 'WeatherChannel.com' est gratuit mais requiert un":
              $tmp = "Weather channel services are free but requires";
              break;
          case "enregistrement":
              $tmp = "to be registered";
              break;
          case "code partner de":
              $tmp = "partner code";
              break;
          case "Licence utilisateur":
              $tmp = "User licence";
              break;
          case "licence de":
              $tmp = "Licence from";
              break;
          case "Informations relatives &agrave; la ville choisie pour les pr&eacute;visions":
              $tmp = "";
              break;
          case "Code ville":
              $tmp = "Town code";
              break;
          case "Code de la ville du type FRXX0099 (par exemple FRXX0055 pour Lyon":
              $tmp = "Town code for example UKXX0085 for London";
              break;
          case "Nb jours de pr&eacute;vision":
              $tmp = "Number of days for prevision";
              break;
          case "Le nombre de jours de pr&eacute;vision &agrave; afficher (10j max !)":
              $tmp = "Total number of days to display (maximum 10 days)";
              break;
          case "Libell&eacute; de la ville":
              $tmp = "Town description";
              break;
          case "Le libell&eacute; de la ville &agrave; afficher dans le bloc":
              $tmp = "";
              break;
          case "Couleur principale":
              $tmp = "Main color";
              break;
          case "Couleur des cadres autout des jours":
              $tmp = "";
              break;
          case "Couleur libell&eacute; ville":
              $tmp = "Town text color";
              break;
          case "Couleur du texte de la ville":
              $tmp = "Town information color";
              break;
          case "Couleur arriere plan":
              $tmp = "Backolor";
              break;
          case "Couleur arriere plan de chaque jour":
              $tmp = "Backcolor of each day";
              break;
          case "Couleur titre":
              $tmp = "Title color";
              break;
          case "Couleur arriere de la ville":
              $tmp = "";
              break;
          case "Couleur sous titre":
              $tmp = "Subtitle color";
              break;
          case "Couleur texte du libell&eacute; du jour":
              $tmp = "Text color for day information";
              break;
          case "Pour r&eacute;cup&eacute;rer vos informations de":
              $tmp = "To get your account informations from";
              break;
          case "Pour tester les param&egrave;tres":
              $tmp = "To test the parameters";
              break;
          case "et afficher un bloc central":
              $tmp = "and display a central bloc";
              break;
          case "Actualisez la page apr&egrave;s avoir ferm&eacute; la fen&ecirc;tre":
              $tmp = "Refresh page after closing selection window";
              break;
          case "Mise &agrave; jour effectu&eacute;e":
              $tmp = "Update well made";
              break;
          case "Retour &agrave; l'administration de meteo_channel":
              $tmp = "Back to meteo_channel administrtaion";
              break;
          case "Affichage logo Weather Channel":
              $tmp = "Display Weather Channel logo";
              break;
          case "Nom de la ville":
              $tmp = "Town name";
              break;
          case "Saisissez le nom de la ville &agrave; rechercher":
              $tmp = "Enter town name to search for";
              break;
          case "Utilisation du th&egrave;me dans les popups":
              $tmp = "Use theme in popup windows";
              break;
          case "Utiliser un bloc theme pour afficher les popup, suivant le th&egrave;me utilis&eacute; il faut d&eacute;cocher ou pas cette case":
              $tmp = "Use theme in popup windows, uncheck this option with default npds theme";
              break;
          case "La ville recherch&eacute;e n'existe pas dans le r&eacute;f&eacute;rentiel WeatherChannel":
              $tmp = "The town you are looking for does not exist in WeatherChannel";
              break;
              
              
          default:
              $tmp = "Translation error <b>[** $phrase **]</b>";
              break;
      }
      return $tmp;
  }
?>
