<?
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* NMIG : NPDS meteo_channel Installer Generator                        */
/* --------------------------------------                               */
/*                                                                      */
/* Version 1.1 - 13 Juin 2005                                           */
/* --------------------------                                           */
/*                                                                      */
/* Gnrateur de fichier de configuration pour meteo_channel-Install 1.1*/
/*                                                                      */
/* Dvelopp par Boris - http://www.lordi-depanneur.com                 */
/*                                                                      */#	N      N  M      M  IIIII     GGG
/* meteo_channel-Install est un installeur inspir du programme d'installation */#	NN     N  MM    MM    I     GG   GG
/* d'origine du meteo_channel Hot-Projet dvelopp par Hotfirenet              */#	N N    N  M M  M M    I    G       G
/*                                                                      */#	N  N   N  M  MM  M    I    G
/************************************************************************/#	N   N  N  M      M    I    G   GGGGGG
/*                                                                      */#	N    N N  M      M    I    G      GG
/* NPDS : Net Portal Dynamic System                                     */#	N     NN  M      M    I     GG   GG
/* ================================                                     */#	N      N  M      M  IIIII     GGG
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/

#autodoc $name_meteo_channel: Nom du meteo_channel

$name_module = "meteo_channel";


#autodoc $list_fich : Modifications de fichiers: Dans le premier tableau, tapez le nom du fichier
#autodoc et dans le deuxime, A LA MEME POSITION D'INDEX QUE LE PREMIER, tapez le code  insrer dans le fichier.
#autodoc Si le fichier doit tre cr, n'oubliez pas les < ? php et ? > !!! (sans espace!).
#autodoc Synopsis: $list_fich = array(array("nom_fichier1","nom_fichier2"), array("contenu_fchier1","contenu_fichier2"));

$list_fich = array(array("admin/extend-modules.txt"), array("[module]\n   [nom]meteo_channel[/nom]\n   [ModPath]meteo_channel[/ModPath]\n   [ModStart]admin/adm[/ModStart]\n[niveau]radminsuper[/niveau]\n[/module]\n"));


#autodoc $sql = array(""): Si votre meteo_channel doit excuter une ou plusieurs requtes SQL, tapez vos requtes ici.
#autodoc Attention! UNE requte par lment de tableau!
#autodoc Synopsis: $sql = array("requte_sql_1","requte_sql_2");

$sql = array("CREATE TABLE `meteo_channel` (
  uid int(11) collate latin1_general_ci NOT NULL,
  meteochannel_towncode varchar(20) collate latin1_general_ci NULL,
  meteochannel_nbjours int(1) collate latin1_general_ci NULL,
  meteochannel_townText varchar(250) collate latin1_general_ci NULL,
  meteochannel_maincolor varchar(6) collate latin1_general_ci NULL,
  meteochannel_towncolor varchar(6) collate latin1_general_ci NULL,
  meteochannel_backcolor varchar(6) collate latin1_general_ci NULL,
  meteochannel_titlecolor varchar(6) collate latin1_general_ci NULL,
  meteochannel_subtitlecolor varchar(6) collate latin1_general_ci NULL,
  PRIMARY KEY (uid)
)"
);

#autodoc $blocs = array(array(""), array(""), array(""), array(""), array(""), array(""), array(""), array(""), array(""))
#autodoc                titre      contenu    membre     groupe     index      rtention  actif      aide       description
#autodoc Configuration des blocs

$blocs = array(array("[french]M&eacute;t&eacute;o[/french][english]Weather[/english]"), array("include#modules/meteo_channel/bloc.php\r\nfunction#showBlocMeteo "), array(""), array(""), array("1"), array("3600"), array("1"), array("La m&eacute;t&eacute;o de votre ville"), array("La m&eacute;t&eacute;o de votre ville"));


#autodoc $txtdeb : Vous pouvez mettre ici un texte de votre choix avec du html qui s'affichera au dbut de l'install
#autodoc Si rien n'est mis, le texte par dfaut sera automatiquement affich

$txtdeb = "<table border=\"0\"><tr><td><image src=\"http://jmsixt.free.fr/cms/downloads/NPDS/meteo_channel_bloc.gif\" alt=\"meteo_channel bloc\"></td><td>&nbsp;</td><td>[french]meteo_channel r&eacute;alis&eacute; par jmsixt[/french] [english]Addons made by jmsixt[/english] (<a href=\"http://jmsixt.free.fr/cms\" target=\"_blank\">http://jmsixt.free.fr/cms</a>)<br />";
$txtdeb .= "<hr />[french]Ce module permet d'int&eacute;grer &agrave; votre site, les pr&eacute;vision de \"the weather channel\" tout en laissant la possibilit&eacute; &agrave; vos abonn&eacute;s de personnaliser la ville choisie pour les pr&eacute;visions<br /><br />Je vous souhaite de bonnes pr&eacute;visions m&eacute;t&eacute;o ![/french][english]You'll be able to integrate the weather channel forecasts in your site<br />Have a good weather ![/english]";
$txtdeb .= "<hr /><br /><b>[french]Cet assistant va vous permettre d'installer le module meteo_channel et de le configurer[/french][english]This wizard will help you installing and configuring meteo_channel addons[/english]</b><br /><br /></td></tr></table>";


#autodoc $txtfin : Vous pouvez mettre ici un texte de votre choix avec du html qui s'affichera  la fin de l'install

$txtfin = "[french]L'installation du module <b>meteo-channel</b> s'est d&eacute;roul&eacute;e correctement merci de votre confiance<br /><br /><div align=\"center\">Retrouvez-nous sur <a href=\"http://jmsixt.free.fr/cms\">http://jmsixt.free.fr/cms</a>[/french][english]Installation of module <b>meteto-channel</b> was well done, thank you for your confidence<br /><br /><div align=\"center\">see us on <a href=\"http://jmsixt.free.fr/cms\">http://jmsixt.free.fr/cms</a>[/english] <br /><br />jmsixt</div>";


#autodoc $link: Lien sur lequel sera redirig l'utilisateur  la fin de l'install (si laiss vide, redirig sur index.php)
#autodoc N'oubliez pas les '\' si vous utilisez des guillemets !!!

$end_link = "admin.php?op=Extend-Admin-SubModule&ModPath=meteo_channel&ModStart=admin/adm";
?>
