<?php
  /**
   * Modification des paramtres d'affichage du module,
   *
   * Utilise 2 fichiers diffrents suivant que l'utilsateur est logg ou anonyme, repectivement<br />
   * - mod_user.php ou
   * - mod_anonyme.php
   *
   // -------------------------------------------------------------------------//
   * written by: jmsixt<br />
   * Author site: {@link http://jmsixt.free.fr/cms} <br />
   * More information at {@link http://modules.npds.org}<br />
   * Support site: {@link http://trac2.assembla.com/npds_meteochannel/wiki}
   *
   // -------------------------------------------------------------------------//
   * Reference: meteo_channel {@link http://www.meteo_channel.fr} <br />
   *
   // -------------------------------------------------------------------------//
   * This program is free software. you can redistribute it and/or modify <br />
   * it under the terms of the GNU General Public License as published by <br />
   * the Free Software Foundation; either version 2 of the License. <br />
   * @copyright Copyright (c) 2008, Sixt Jean Marc <br />
   *
   // -------------------------------------------------------------------------//
   * @package meteo_channel
   * @author Sixt Jean-Marc from Lyon (2008)
   */
   
   /**
   * Variables globales positionnes par modules.php
   */
  /**
   * L'utilisateur logg, null si aucun n'est logg
   * @global mixed $user
   */
  global $user;
  /**
   * Prfixe NPDS pour les noms de tables
   * @global string $NPDS_Prefix
   */
  global $NPDS_Prefix;
   global $title;
   
// For More security
if (!eregi("modules.php", $PHP_SELF)) { die(); }
if (strstr($ModPath,"..") || strstr($ModStart,"..") || stristr($ModPath, "script") || stristr($ModPath, "cookie") || stristr($ModPath, "iframe") || stristr($ModPath, "applet") || stristr($ModPath, "object") || stristr($ModPath, "meta") || stristr($ModStart, "script") || stristr($ModStart, "cookie") || stristr($ModStart, "iframe") || stristr($ModStart, "applet") || stristr($ModStart, "object") || stristr($ModStart, "meta")) {
   die();
}
// For More security

    // rcupration des donnes de configuration
	include_once ("modules/$ModPath/meteo_channel_conf.php");
	
	if (!function_exists("sql_connect")) {
		include ("modules/$ModPath/retro-compat/mysql.php");
	} 
	
	// On nettoie le cache pour permettre le raffraichissement du bloc
	$cache_obj = new cacheManager();
    $cache_obj->UsercacheCleanup();

	if (($meteo_channel_userprofile == "yes") and ($user <> "")) {
		// mise  jour pour les abonns
		include_once ("modules/$ModPath/mod_user.php");
	} else {
		// mise  jour pour les anonymes
		include_once ("modules/$ModPath/mod_anonyme.php");
	}
?>
