<?php
  /**
   * Modification des paramtres pour un utilisateur logg,
   *
   * Les paramtres sont stocks dans la table meteo_channel (avec le prfix npds_prefix devant)
   *
   // -------------------------------------------------------------------------//
   * written by: jmsixt<br />
   * Author site: {@link http://jmsixt.free.fr/cms} <br />
   * More information at {@link http://modules.npds.org}<br />
   * Support site: {@link http://trac2.assembla.com/npds_meteochannel/wiki}
   *
   // -------------------------------------------------------------------------//
   * Reference: meteo_channel {@link http://www.meteo_channel.fr} <br />
   *
   // -------------------------------------------------------------------------//
   * This program is free software. you can redistribute it and/or modify <br />
   * it under the terms of the GNU General Public License as published by <br />
   * the Free Software Foundation; either version 2 of the License. <br />
   * @copyright Copyright (c) 2008, Sixt Jean Marc <br />
   *
   // -------------------------------------------------------------------------//
   * @package meteo_channel
   * @author Sixt Jean-Marc from Lyon (2008)
   */  
  // For More security
  if (!eregi("modules.php", $PHP_SELF)) {
      die();
  }
  if (strstr($ModPath, "..") || strstr($ModStart, "..") || stristr($ModPath, "script") || stristr($ModPath, "cookie") || stristr($ModPath, "iframe") || stristr($ModPath, "applet") || stristr($ModPath, "object") || stristr($ModPath, "meta") || stristr($ModStart, "script") || stristr($ModStart, "cookie") || stristr($ModStart, "iframe") || stristr($ModStart, "applet") || stristr($ModStart, "object") || stristr($ModStart, "meta")) {
      die();
  }
  // For More security
  
  // rcupration des donnes de configuration
  include_once("modules/$ModPath/meteo_channel_conf.php");
  
  // on met  jour les valeurs de configuration  partir du profil utilisateur s'il est logg et autoris
  // mais seulement si elles sont renseignes
  $usrinfo = getusrinfo($user);
  $uid = $usrinfo["uid"];
  $sql = "select * from " . $NPDS_Prefix . "meteo_channel where uid ='" . $uid . "'";
  //echo $sql;
  // indicateur d'existence des informations
  $param_exists = false;
  $result = sql_query($sql);
  if ($result) {
      if (sql_num_rows($result) == 1) {
          // on a trouv un enregistrement
          // On n'initialise seulement les colonnes modifiables par l'utilisateur
          $param_exists = true;
          $row = sql_fetch_assoc$result);
          if ($row["meteochannel_towncode"] <> "") {
              $meteochannel_towncode = $row["meteochannel_towncode"];
          }
          if ($row["meteochannel_nbjours"] <> "") {
              $meteochannel_nbjours = $row["meteochannel_nbjours"];
          }
          if ($row["meteochannel_townText"] <> "") {
              $meteochannel_townText = $row["meteochannel_townText"];
          }
          if ($row["meteochannel_maincolor"] <> "") {
              $meteochannel_maincolor = $row["meteochannel_maincolor"];
          }
          if ($row["meteochannel_towncolor"] <> "") {
              $meteochannel_towncolor = $row["meteochannel_towncolor"];
          }
          if ($row["meteochannel_backcolor"] <> "") {
              $meteochannel_backcolor = $row["meteochannel_backcolor"];
          }
          if ($row["meteochannel_titlecolor"] <> "") {
              $meteochannel_titlecolor = $row["meteochannel_titlecolor"];
          }
          if ($row["meteochannel_subtitlecolor"] <> "") {
              $meteochannel_subtitlecolor = $row["meteochannel_subtitlecolor"];
          }
      }
  }
  // Prparation des paramtres
  if ($meteochannel_towncodechange != "") {
      $meteochannel_towncode = $meteochannel_towncodechange;
  }
  if ($meteochannel_nbjourschange != "") {
      $meteochannel_nbjours = $meteochannel_nbjourschange;
  }
  if ($meteochannel_townTextchange != "") {
      $meteochannel_townText = $meteochannel_townTextchange;
  }
  if ($meteochannel_maincolorchange != "") {
      $meteochannel_maincolor = $meteochannel_maincolorchange;
  }
  if ($meteochannel_towncolorchange != "") {
      $meteochannel_towncolor = $meteochannel_towncolorchange;
  }
  if ($meteochannel_backcolorchange != "") {
      $meteochannel_backcolor = $meteochannel_backcolorchange;
  }
  if ($meteochannel_titlecolorchange != "") {
      $meteochannel_titlecolor = $meteochannel_titlecolorchange;
  }
  if ($meteochannel_subtitlecolorchange != "") {
      $meteochannel_subtitlecolor = $meteochannel_subtitlecolorchange;
  }
  
  // Mise  jour des paramtres pour l'utilisateur
  if ($param_exists) {
      // parametre existant on fait un update
      $sql = "update " . $NPDS_Prefix . "meteo_channel set " . "meteochannel_towncode='$meteochannel_towncode'," . "meteochannel_nbjours='$meteochannel_nbjours'," . "meteochannel_townText='$meteochannel_townText'," . "meteochannel_maincolor='$meteochannel_maincolor'," . "meteochannel_towncolor='$meteochannel_towncolor'," . "meteochannel_backcolor='$meteochannel_backcolor'," . "meteochannel_titlecolor='$meteochannel_titlecolor'," . "meteochannel_subtitlecolor='$meteochannel_subtitlecolor'" . " where uid='$uid'";
      //echo $sql;
      $requete = sql_query($sql);
  } else {
      //parametre inexistant on fait un insert
      $sql = "INSERT INTO " . $NPDS_Prefix . "meteo_channel (" . "uid," . "meteochannel_towncode," . "meteochannel_nbjours," . "meteochannel_townText," . "meteochannel_maincolor," . "meteochannel_towncolor," . "meteochannel_backcolor," . "meteochannel_titlecolor," . "meteochannel_subtitlecolor" . ") values (" . "$uid," . "'$meteochannel_towncode'," . "'$meteochannel_nbjours'," . "'$meteochannel_townText'," . "'$meteochannel_maincolor'," . "'$meteochannel_towncolor'," . "'$meteochannel_backcolor'," . "'$meteochannel_titlecolor'," . "'$meteochannel_subtitlecolor')";
      //echo $sql;
      $requete = sql_query($sql);
  }
  if (!$requete) {
      // Log des erreurs ventuelles et redirection vers une page spcifique
      $record = sql_info();
      $record .= sql_error();
      ecr_log("security", $record, "meteo_channel");
      redirect_url("modules.php?ModPath=$ModPath&ModStart=error");
  } else {
      if ($op == "showpopup") {
          echo "Mise &agrave; jour effectu&eacute;e !<br/>";
          echo "code de la ville:" . $meteochannel_towncodechange . ", libell&eacute; de la ville: " . $meteochannel_townText;
          echo "<br /><br />Fermez la fen&ecirc;tre et actualisez la page (touche F5) pour prendre en compte la nouvelle ville !<br />";
      } else {
          redirect_url("index.php");
      }
  }
?>
